---
Tournament:
  name: Oklahoma State University Science Olympiad Invitational
  short name: Oklahoma State Invitational
  location: Oklahoma State University
  state: OK
  level: Invitational
  division: C
  year: 2025
  medals: 3
  trophies: 3
  start date: 2024-11-16
  end date: 2024-11-16
  awards date: 2024-11-16
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Astronomy
- name: Bungee Drop
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Electric Vehicle
- name: Entomology
- name: Experimental Design
- name: Forensics
- name: Fossils
- name: Geologic Mapping
- name: Helicopter
- name: Materials Science
- name: Microbe Mission
- name: Optics
- name: Robot Tour
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 1
  school: Jenks High School
  suffix: Alpha Alliance
  state: OK
- number: 2
  school: Jenks High School
  suffix: Beta Beasts
  state: OK
- number: 3
  school: Jenks High School
  suffix: Gamma Guardians
  state: OK
- number: 4
  school: Norman North High School
  state: OK
- number: 5
  school: Prestonwood Christian Academy
  suffix: Blue
  state: TX
- number: 6
  school: Prestonwood Christian Academy
  suffix: Gold
  state: TX
- number: 7
  school: Prestonwood Christian Academy
  suffix: White
  state: TX
- number: 8
  school: Putnam City High School
  state: OK
- number: 9
  school: Putnam City North High School
  state: OK
Placings:
- team: 1
  event: Air Trajectory
  participated: false
- team: 1
  event: Anatomy and Physiology
  place: 1
- team: 1
  event: Astronomy
  place: 1
- team: 1
  event: Bungee Drop
  place: 7
- team: 1
  event: Chemistry Lab
  place: 2
- team: 1
  event: Codebusters
  place: 3
- team: 1
  event: Disease Detectives
  place: 2
- team: 1
  event: Dynamic Planet
  place: 3
- team: 1
  event: Ecology
  place: 7
- team: 1
  event: Electric Vehicle
  participated: false
- team: 1
  event: Entomology
  place: 6
- team: 1
  event: Experimental Design
  place: 2
- team: 1
  event: Forensics
  place: 4
- team: 1
  event: Fossils
  place: 2
- team: 1
  event: Geologic Mapping
  place: 3
- team: 1
  event: Helicopter
  participated: false
- team: 1
  event: Materials Science
  place: 2
- team: 1
  event: Microbe Mission
  place: 5
- team: 1
  event: Optics
  place: 1
- team: 1
  event: Robot Tour
  place: 2
- team: 1
  event: Tower
  place: 2
- team: 1
  event: Wind Power
  place: 1
- team: 1
  event: Write It Do It
  place: 1
- team: 2
  event: Air Trajectory
  participated: false
- team: 2
  event: Anatomy and Physiology
  place: 4
- team: 2
  event: Astronomy
  participated: false
- team: 2
  event: Bungee Drop
  participated: false
- team: 2
  event: Chemistry Lab
  participated: false
- team: 2
  event: Codebusters
  participated: false
- team: 2
  event: Disease Detectives
  place: 3
- team: 2
  event: Dynamic Planet
  participated: false
- team: 2
  event: Ecology
  place: 6
- team: 2
  event: Electric Vehicle
  participated: false
- team: 2
  event: Entomology
  place: 4
- team: 2
  event: Experimental Design
  participated: false
- team: 2
  event: Forensics
  participated: false
- team: 2
  event: Fossils
  place: 5
- team: 2
  event: Geologic Mapping
  participated: false
- team: 2
  event: Helicopter
  participated: false
- team: 2
  event: Materials Science
  participated: false
- team: 2
  event: Microbe Mission
  place: 2
- team: 2
  event: Optics
  place: 2
- team: 2
  event: Robot Tour
  participated: false
- team: 2
  event: Tower
  participated: false
- team: 2
  event: Wind Power
  participated: false
- team: 2
  event: Write It Do It
  place: 8
- team: 3
  event: Air Trajectory
  participated: false
- team: 3
  event: Anatomy and Physiology
  participated: false
- team: 3
  event: Astronomy
  participated: false
- team: 3
  event: Bungee Drop
  participated: false
- team: 3
  event: Chemistry Lab
  participated: false
- team: 3
  event: Codebusters
  participated: false
- team: 3
  event: Disease Detectives
  participated: false
- team: 3
  event: Dynamic Planet
  participated: false
- team: 3
  event: Ecology
  participated: false
- team: 3
  event: Electric Vehicle
  participated: false
- team: 3
  event: Entomology
  participated: false
- team: 3
  event: Experimental Design
  participated: false
- team: 3
  event: Forensics
  participated: false
- team: 3
  event: Fossils
  participated: false
- team: 3
  event: Geologic Mapping
  participated: false
- team: 3
  event: Helicopter
  participated: false
- team: 3
  event: Materials Science
  participated: false
- team: 3
  event: Microbe Mission
  participated: false
- team: 3
  event: Optics
  participated: false
- team: 3
  event: Robot Tour
  participated: false
- team: 3
  event: Tower
  participated: false
- team: 3
  event: Wind Power
  participated: false
- team: 3
  event: Write It Do It
  participated: false
- team: 4
  event: Air Trajectory
  participated: false
- team: 4
  event: Anatomy and Physiology
  place: 2
- team: 4
  event: Astronomy
  place: 2
- team: 4
  event: Bungee Drop
  place: 4
  tie: true
- team: 4
  event: Chemistry Lab
  place: 4
- team: 4
  event: Codebusters
  place: 2
- team: 4
  event: Disease Detectives
  place: 1
- team: 4
  event: Dynamic Planet
  place: 2
- team: 4
  event: Ecology
  place: 2
- team: 4
  event: Electric Vehicle
  participated: false
- team: 4
  event: Entomology
  place: 3
- team: 4
  event: Experimental Design
  place: 5
- team: 4
  event: Forensics
  place: 2
- team: 4
  event: Fossils
  place: 1
- team: 4
  event: Geologic Mapping
  place: 1
- team: 4
  event: Helicopter
  place: 3
- team: 4
  event: Materials Science
  place: 5
- team: 4
  event: Microbe Mission
  place: 7
- team: 4
  event: Optics
  place: 5
- team: 4
  event: Robot Tour
  participated: false
- team: 4
  event: Tower
  place: 5
- team: 4
  event: Wind Power
  place: 4
- team: 4
  event: Write It Do It
  place: 6
- team: 5
  event: Air Trajectory
  place: 3
- team: 5
  event: Anatomy and Physiology
  place: 8
- team: 5
  event: Astronomy
  place: 3
- team: 5
  event: Bungee Drop
  place: 4
  tie: true
- team: 5
  event: Chemistry Lab
  place: 1
- team: 5
  event: Codebusters
  place: 1
- team: 5
  event: Disease Detectives
  place: 4
- team: 5
  event: Dynamic Planet
  place: 1
- team: 5
  event: Ecology
  place: 1
- team: 5
  event: Electric Vehicle
  place: 1
- team: 5
  event: Entomology
  place: 1
- team: 5
  event: Experimental Design
  place: 3
- team: 5
  event: Forensics
  place: 1
- team: 5
  event: Fossils
  place: 6
- team: 5
  event: Geologic Mapping
  place: 4
- team: 5
  event: Helicopter
  place: 1
- team: 5
  event: Materials Science
  place: 4
- team: 5
  event: Microbe Mission
  place: 1
- team: 5
  event: Optics
  place: 3
- team: 5
  event: Robot Tour
  place: 1
- team: 5
  event: Tower
  place: 1
- team: 5
  event: Wind Power
  place: 3
- team: 5
  event: Write It Do It
  place: 2
- team: 6
  event: Air Trajectory
  place: 1
- team: 6
  event: Anatomy and Physiology
  place: 5
- team: 6
  event: Astronomy
  place: 6
- team: 6
  event: Bungee Drop
  place: 3
- team: 6
  event: Chemistry Lab
  place: 3
- team: 6
  event: Codebusters
  place: 4
- team: 6
  event: Disease Detectives
  place: 5
- team: 6
  event: Dynamic Planet
  place: 5
- team: 6
  event: Ecology
  place: 3
- team: 6
  event: Electric Vehicle
  place: 2
- team: 6
  event: Entomology
  place: 5
- team: 6
  event: Experimental Design
  place: 4
- team: 6
  event: Forensics
  place: 3
- team: 6
  event: Fossils
  place: 7
- team: 6
  event: Geologic Mapping
  place: 2
- team: 6
  event: Helicopter
  place: 2
- team: 6
  event: Materials Science
  place: 1
- team: 6
  event: Microbe Mission
  place: 3
- team: 6
  event: Optics
  place: 7
- team: 6
  event: Robot Tour
  place: 3
- team: 6
  event: Tower
  place: 3
- team: 6
  event: Wind Power
  place: 2
- team: 6
  event: Write It Do It
  place: 3
- team: 7
  event: Air Trajectory
  participated: false
- team: 7
  event: Anatomy and Physiology
  place: 7
- team: 7
  event: Astronomy
  place: 4
- team: 7
  event: Bungee Drop
  place: 4
  tie: true
- team: 7
  event: Chemistry Lab
  place: 5
- team: 7
  event: Codebusters
  place: 5
- team: 7
  event: Disease Detectives
  place: 7
- team: 7
  event: Dynamic Planet
  place: 4
- team: 7
  event: Ecology
  place: 8
- team: 7
  event: Electric Vehicle
  participated: false
- team: 7
  event: Entomology
  participated: false
- team: 7
  event: Experimental Design
  place: 6
- team: 7
  event: Forensics
  place: 5
- team: 7
  event: Fossils
  place: 4
- team: 7
  event: Geologic Mapping
  place: 5
- team: 7
  event: Helicopter
  participated: false
- team: 7
  event: Materials Science
  place: 3
- team: 7
  event: Microbe Mission
  place: 4
- team: 7
  event: Optics
  place: 6
- team: 7
  event: Robot Tour
  place: 4
- team: 7
  event: Tower
  place: 4
- team: 7
  event: Wind Power
  participated: false
- team: 7
  event: Write It Do It
  place: 5
- team: 8
  event: Air Trajectory
  place: 2
- team: 8
  event: Anatomy and Physiology
  place: 6
- team: 8
  event: Astronomy
  participated: false
- team: 8
  event: Bungee Drop
  place: 2
- team: 8
  event: Chemistry Lab
  place: 7
- team: 8
  event: Codebusters
  place: 6
- team: 8
  event: Disease Detectives
  participated: false
- team: 8
  event: Dynamic Planet
  place: 7
- team: 8
  event: Ecology
  place: 5
- team: 8
  event: Electric Vehicle
  place: 3
- team: 8
  event: Entomology
  participated: false
- team: 8
  event: Experimental Design
  participated: false
- team: 8
  event: Forensics
  participated: false
- team: 8
  event: Fossils
  place: 8
- team: 8
  event: Geologic Mapping
  participated: false
- team: 8
  event: Helicopter
  participated: false
- team: 8
  event: Materials Science
  participated: false
- team: 8
  event: Microbe Mission
  participated: false
- team: 8
  event: Optics
  place: 4
- team: 8
  event: Robot Tour
  participated: false
- team: 8
  event: Tower
  participated: false
- team: 8
  event: Wind Power
  place: 5
- team: 8
  event: Write It Do It
  place: 7
- team: 9
  event: Air Trajectory
  participated: false
- team: 9
  event: Anatomy and Physiology
  place: 3
- team: 9
  event: Astronomy
  place: 5
- team: 9
  event: Bungee Drop
  place: 1
- team: 9
  event: Chemistry Lab
  place: 6
- team: 9
  event: Codebusters
  place: 7
- team: 9
  event: Disease Detectives
  place: 6
- team: 9
  event: Dynamic Planet
  place: 6
- team: 9
  event: Ecology
  place: 4
- team: 9
  event: Electric Vehicle
  participated: false
- team: 9
  event: Entomology
  place: 2
- team: 9
  event: Experimental Design
  place: 1
- team: 9
  event: Forensics
  place: 6
- team: 9
  event: Fossils
  place: 3
- team: 9
  event: Geologic Mapping
  participated: false
- team: 9
  event: Helicopter
  participated: false
- team: 9
  event: Materials Science
  participated: false
- team: 9
  event: Microbe Mission
  place: 6
- team: 9
  event: Optics
  place: 8
- team: 9
  event: Robot Tour
  participated: false
- team: 9
  event: Tower
  participated: false
- team: 9
  event: Wind Power
  participated: false
- team: 9
  event: Write It Do It
  place: 4
